Reference Manual

Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Namespace Members | Compound Members | File Members

# Inti::Pango::Fontset Class Reference

A PangoFontset C++ wrapper class. More...

`#include <inti/pango/fontset.h>`

Inheritance diagram for Inti::Pango::Fontset:

List of all members.

## Public Member Functions

Constructors

- virtual ~Fontset ()
    Destructor.

Accessors

- PangoFontset * pango_fontset () const
    Get a pointer to the PangoFontset structure.
- operator PangoFontset * () const
    Conversion operator; safely converts a Fontset to a PangoFontset pointer.
- Pointer< Font > get_font (unsigned int wc) const
    Returns the font in the fontset that contains the best glyph for the unicode character wc.
- Pointer< FontMetrics > get_metrics () const
    Get overall metric information for the fonts in the fontset.

## Protected Member Functions

Constructors

- Fontset (PangoFontset *fontset, bool reference=true)
    Construct a new Fontset from an existing PangoFontset.

## Detailed Description

A PangoFontset C++ wrapper class.

A Fontset represents a set of Font to use when rendering text. It is the result of resolving a FontDescription against a particular Context. It has operations for finding the component font for a particular Unicode character, and for finding a composite set of metrics for the entire fontset.

## Constructor & Destructor Documentation

Inti::Pango::Fontset::Fontset | ( | PangoFontset * | fontset,
|  | bool | reference = true
| ) | `[explicit, protected]`

  | Construct a new Fontset from an existing PangoFontset. Parameters:
  fontset | A pointer to a PangoFontset.
  reference | Set false if the initial reference count is floating, set true if it's not.
The fontset can be a newly created PangoFontset or an existing PangoFontset. (see G::Object::Object).

## Member Function Documentation

Pointer<Font> Inti::Pango::Fontset::get_font | ( | unsigned int | wc | ) | const

  | Returns the font in the fontset that contains the best glyph for the unicode character wc. Parameters:
  wc | A unicode character.
Returns: A smart pointer to a Font.

Pointer<FontMetrics> Inti::Pango::Fontset::get_metrics | ( |  | ) | const

| Get overall metric information for the fonts in the fontset. Returns: A smart pointer to a FontMetrics object.

The documentation for this class was generated from the following file:

- fontset.h

Main Page - Footer